package com.caimei365.cloud;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.config.server.EnableConfigServer;

/**
 * `@EnableEurekaClient`: 声明一个Eureka客户端，只能注册到Eureka Server
 * `@EnableDiscoveryClient`: 声明一个可以被发现的客户端，可以是其他注册中心
 * `@EnableConfigServer`: 开启配置服务
 *
 * @author : Charles
 * @date : 2021/2/23
 */
@EnableConfigServer
@EnableDiscoveryClient
@SpringBootApplication
public class ConfigApplication {

    public static void main(String[] args) {
        SpringApplication.run(ConfigApplication.class, args);
    }

}
